Bug 4529 - rpm-3.0.3-0.12: Package upgrade VERY BROKEN
rpm-3.0.3-0.12: Package upgrade VERY BROKEN
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-08-14 23:49 EDT by Brian Ryner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-15 10:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 1999-08-14 23:49:01 EDT
After upgrading to rpm-3.0.3-0.12, rpm -Uvh is causing
severe problems for me.  It appears to enter the new package
version in the rpm database, and remove the old version, but
the files from the new version are NEVER INSTALLED.  So I am
left with the package completely gone.

This happened for me on both rawhide-release-19990814-1 and
tar-1.13.6-1.  Installing from scratch (also with rpm -Uvh)
does not seem to be affected by this bug.
Comment 1 Jeff Johnson 1999-08-15 10:50:59 EDT
Fixed in rpm-3.0.3-13.

Note You need to log in before you can comment on or make changes to this bug.